package com.iformall.controller;

import com.github.pagehelper.PageInfo;
import com.iformall.common.Result;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMerchantBUser;
import com.iformall.service.WxMerchantBUserService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("wxMerchantBUser")
public class WxMerchantBUserController extends BaseController {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Autowired
    private WxMerchantBUserService wxMerchantBUserService;
	
	@ApiOperation("分页列表接口")
    @GetMapping("list")
        @ApiImplicitParams({
    	  @ApiImplicitParam(name="pageNum",value="页数",dataType="int", paramType = "query",required=true),
    	  @ApiImplicitParam(name="pageSize",value="每页条数",dataType="int", paramType = "query",required=true)})
    public ResultData list(@ModelAttribute WxMerchantBUser wxMerchantBUser,Integer pageNum, Integer pageSize) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::list");
    	if (null == wxMerchantBUser) wxMerchantBUser = new WxMerchantBUser();
        final PageInfo<WxMerchantBUser> page = wxMerchantBUserService.listAsPage(wxMerchantBUser, pageNum, pageSize);
        return new ResultData(page);
    }

	@ApiOperation("新增接口")
    @PostMapping("add")
    public ResultData add(@RequestBody WxMerchantBUser wxMerchantBUser) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::add");
        //Assert.notNull(wxMerchantBUser.getName(), "角色名不能为空");
        //Assert.isTrue(!checkUnique(sysRole.getName(), null), "重复的角色名");
        wxMerchantBUser.setTenantId(getTenantId());
        Long id = wxMerchantBUserService.saveOrUpdate(wxMerchantBUser);
        return new ResultData(Result.SUCCESS,"添加成功",id);
    }

    @ApiOperation("根据id更新接口")
    @PostMapping("update")
    public ResultData update(@RequestBody WxMerchantBUser wxMerchantBUser) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::update");
        Long id = wxMerchantBUserService.saveOrUpdate(wxMerchantBUser);
        return new ResultData(Result.SUCCESS,"更新成功",id);
    }

    @ApiOperation("根据id删除接口")
    @GetMapping("/del")
     @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData delete(Long id) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::delete");
        wxMerchantBUserService.deleteById(id);
        return new ResultData(Result.SUCCESS, "删除成功", null);
    }
    
     @ApiOperation("根据id查询接口")
     @GetMapping("/findById")
     @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData findById(Long id) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::findById");
    	return new ResultData(Result.SUCCESS,"查询成功",wxMerchantBUserService.getById(id));
    }

    @ApiOperation("手机号是否存在")
    @GetMapping("/hasphone")
    @ApiImplicitParam(name="phone",value="phone",dataType="String", paramType = "query",required=true)
    public ResultData hasphone(String phone) {
        logger.debug("[" + getIpAddr() + "] WxMerchantBUserController::hasphone");
        boolean has=wxMerchantBUserService.hasphone(phone,getTenantId());
        return new ResultData(Result.SUCCESS,"查询成功",has);
    }
	
}
